# Header-only library.
%global debug_package %{nil}

Name:           xtl
Version:        0.4.15
Release:        1%{?dist}
License:        BSD
Summary:        QuantStack tools library
Url:            https://github.com/QuantStack/xtl
Source0:        https://github.com/QuantStack/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/QuantStack/xtl/issues/97
Patch0001:      0001-Fix-complex-test.patch
# https://github.com/QuantStack/xtl/pull/102
Patch0002:      0002-Made-nlohmann_json-optional-in-the-tests-exported-c-.patch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  make
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
Basic tools (containers, algorithms) used by other QuantStack packages.


%package devel
Summary:        %{summary}
Provides:       xtl-static = %{version}-%{release}
Requires:       cmake-filesystem

%description devel
Development files for %{name} library.


%package doc
Summary:        %{summary}

%description doc
Documentation files for %{name} library.


%prep
%autosetup -p1


%build
%cmake -DBUILD_TESTS=ON
%make_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd


%install
%make_install


%check
make xtest


%files devel
%doc README.md
%license LICENSE
%{_includedir}/xtl/
%{_libdir}/cmake/xtl/
%{_libdir}/pkgconfig/xtl.pc

%files doc
%doc docs/build/html


%changelog
* Wed Sep 05 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.15-1
- Update to latest version

* Thu Aug 16 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.14-2
- rebuilt

* Tue Aug 14 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.14-1
- Update to latest version

* Tue Aug 07 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.13-1
- Update to latest version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.7-1
- Update to latest version

* Wed Mar 21 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.4-2
- Split documentation into subpackage
- Run more tests on broken arches

* Mon Mar 19 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.4-1
- Initial package for Fedora
